%define name suspend
%define version 1.0
%define cvs 0
%define rel 1
%if %{cvs}
%define distname %{name}-%{version}.%{cvs}
%define release %mkrel %{rel}
%else
%define distname %{name}-utils-%{version}
%define release %mkrel %{rel}
%endif

# Not really used yet, so disable for now
Summary: Userland tools for suspend-to-disk and suspend-to-RAM
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{distname}.tar.bz2

#- opensuse patches
Patch1: suspend-comment-configfile-options.diff
Patch3: suspend-default-compress.diff
Patch4: suspend-disable-bootsplash.diff
Patch5: suspend-default-splash.diff
Patch10: suspend-0.80-keygen-new-defaults.diff
Patch13: suspend-0.80-vbetool-retry-on-errors.diff
Patch18: s2disk-do-not-fail-without-local-terminals.patch
Patch19: s2disk-disable-splash-when-unable-to-switch-vts.patch
Patch21: suspend-ignore-acpi-video-flags-not-available.patch

#- Mageia patches
Patch102: suspend-utils-1.0-mgacomment.patch
Patch103: suspend-0.8-printf_format.patch
Patch107: suspend-utils-1.0-automake-1.13.patch
Patch108: suspend-utils-1.0-mga-noinline.patch

License: GPLv2
Group: System/Kernel and hardware
Url: http://suspend.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pciutils-devel libx86-devel liblzo-devel 
BuildRequires: zlib-devel
ExcludeArch: ppc
Obsoletes: wltool
Obsoletes: suspend-wltool
Requires(post): drakxtools-backend
Requires(post): mkinitrd
BuildRequires: plymouth-devel


%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currenty suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%package s2ram
Summary: Suspend-to-RAM utility
Group: System/Kernel and hardware
Conflicts: suspend < 0.5-4mdv2007.1

%description s2ram
s2ram is a suspend-to-RAM utility.

%package doc
Summary: 	Documentation for %{name}
Group: 		Books/Computer books
Requires: 	%{name}

%description doc
Documentation for %{name}

%prep
%setup -q -n %{distname}
#- opensuse patches
%patch1 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch10 -p1
%patch13 -p0
%patch18 -p1
%patch19 -p1
%patch21 -p1

#- Mandriva/Mageia patches
%patch102 -p1 -b .mdvcomment
%patch103 -p1 -b .printf_format
%patch107 -p1 -b .automake-1_13
%patch108 -p1 -b .noinline

%build
export CFLAGS="$RPM_OPT_FLAGS -fcommon"
autoreconf -fiv
export CONFIGURE_TOP=`pwd`
mkdir -p shared
cd shared
%configure2_5x \
  --enable-compress \
  --enable-threads \
  --disable-splashy \
  --disable-resume-static
%make
cd ..

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}

%make_install -C shared
ln -sf %{_libdir}/%{name}/resume %{buildroot}%{_sbindir}
mv %{buildroot}%{_docdir}/suspend-utils %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

%files
%defattr(-,root,root)
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%{_libdir}/%{name}/resume
%config(noreplace) %{_sysconfdir}/%{name}.conf
%if %{with uclibc}
%{uclibc_root}%{_sbindir}/resume
%{uclibc_root}%{_libdir}/%{name}/resume
%endif

%files s2ram
%defattr(-,root,root)
%{_sbindir}/s2ram

%files doc
%defattr(-,root,root)
%{_datadir}/doc/suspend/COPYING
%{_datadir}/doc/suspend/COPYING.GPL
%{_datadir}/doc/suspend/HOWTO
%{_datadir}/doc/suspend/README
%{_datadir}/doc/suspend/README.encryption
%{_datadir}/doc/suspend/README.s2ram-whitelist

%changelog
* Thu Aug 26 2021 yodelu 1.0-2pclos2021
- rebuild against new gcc
- fix build by -fcommon

* Sun Mar 1 2020 yodelu 1.0-1pclos2020
- new

* Mon May 31 2010 johnnyblack <johnnyblack at inbox.com> 0.8-5pclos2010
- sync to mdv for new plymouth
- fix resume when splash = n in suspend.conf
- Update plymouth patch to work with plymouth 0.8.x
- split doc files out
